curl https://api.thanxsandbox.com/purchases/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"purchase": {
"id": "92b7b0dac4",
"user_id": "weori235",
"merchant_id": "9a1f0772c9ac",
"location_id": "e7183da044",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 9.99,
"order": {
"provider": "OLO",
"id": "YWEI2342F"
}
}
}
Purchases
Get Purchase
This endpoint returns the purchase associated with the id in the path.
GET
/
purchases
/
:id
curl https://api.thanxsandbox.com/purchases/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"purchase": {
"id": "92b7b0dac4",
"user_id": "weori235",
"merchant_id": "9a1f0772c9ac",
"location_id": "e7183da044",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 9.99,
"order": {
"provider": "OLO",
"id": "YWEI2342F"
}
}
}
Please review proper request headers here.
Parameters
Response
curl https://api.thanxsandbox.com/purchases/:id \
-X GET \
-H "Content-Type: application/json" \
-H "Accept-Version: v4.0" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${token}" \
-H "X-ClientId: ${client_id}"
{
"purchase": {
"id": "92b7b0dac4",
"user_id": "weori235",
"merchant_id": "9a1f0772c9ac",
"location_id": "e7183da044",
"purchased_at": "2020-01-01T20:00:00Z",
"amount": 9.99,
"order": {
"provider": "OLO",
"id": "YWEI2342F"
}
}
}